from sqlalchemy.orm import Session
from db.models import User
from ultis import get_password_hash
import schemas

def get_user(db: Session, user_id: str):
  return db.query(User).filter(User.id == user_id).first()

def get_user_by_username(db: Session, usn: str):
  return db.query(User).filter(User.username == usn).first()

def get_users(db: Session, skip: int = 0, limit: int = 100):
  return db.query(User).offset(skip).limit(limit).all()

def create_user(db: Session, user: schemas.UserCreate):
  db_user = User(username=user.username, password=get_password_hash(user.password), name=user.name)
  db.add(db_user)
  db.commit()
  db.refresh(db_user)
  return db_user
