from db import Base
from sqlalchemy import Boolean, Column, String
from .mixins import Timestamp
from sqlalchemy.dialects.postgresql import UUID
import uuid

class User(Base, Timestamp):
  __tablename__ = 'users'

  id = Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4, index=True)
  username = Column(String(100), unique=True, index=True, nullable=False)
  password = Column(String, index=True, nullable=False)
  name = Column(String, index=True, nullable=True)
  is_admin = Column(Boolean, default=False)
  is_lock = Column(Boolean, default=False)
