from datetime import datetime
from pydantic import BaseModel
from fastapi import Form

class UserBase(BaseModel):
  username: str = Form(...)

class UserRequest(UserBase):
  password: str = Form(...)

class UserCreate(UserRequest):
  password: str = Form(...)
  name: str

class User(UserBase):
  id: str
  name: str
  is_admin: bool
  is_lock: bool
  created_at: datetime
  updated_at: datetime

  class Config:
    from_attributes = True
